hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Kanter (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10075) Update jetty dependency to version 9
Date Sat, 01 Oct 2016 00:26:21 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10075?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15537516#comment-15537516
] 

Robert Kanter commented on HADOOP-10075:
----------------------------------------

Thanks for looking at the patch; I know it's a big one :)
- I had to deprecate {{RequestLoggerFilter.setStatus}} because it calls {{super.setStatus}},
which is deprecated.  There is a one argument {{setStatus}}, which is not.  See https://docs.oracle.com/javaee/7/api/javax/servlet/http/HttpServletResponseWrapper.html#setStatus-int-java.lang.String-
- I couldn't find anything about the safety/security of maven plugins.  It is coming from
the maven central repo, so it's probably safe as long as the author of the plugin doesn't
upload something malicious there (I don't know if the repo does any checking on that sort
of thing).  I guess we have these options:
-# Use this plugin
-# Keep both compressed and uncompressed files
-# Keep only uncompressed files
-# Write our own plugin to do the same thing.  It looks like we already have a "hadoop-maven-plugins"
maven plugin that does a number of different things.  We could add it there.  I took a quick
look and writing a simple plugin like this doesn't look too complicated.

> Update jetty dependency to version 9
> ------------------------------------
>
>                 Key: HADOOP-10075
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10075
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 2.2.0, 2.6.0
>            Reporter: Robert Rati
>            Assignee: Robert Kanter
>         Attachments: HADOOP-10075-002-wip.patch, HADOOP-10075.003.patch, HADOOP-10075.004.patch,
HADOOP-10075.005.patch, HADOOP-10075.006.patch, HADOOP-10075.patch
>
>
> Jetty6 is no longer maintained.  Update the dependency to jetty9.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message